Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.j3d.utils.scenegraph.io
Class ObjectNotLoadedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.sun.j3d.utils.scenegraph.io.ObjectNotLoadedException

All Implemented Interfaces:
  java.io.Serializable

    public class ObjectNotLoadedException

extends java.lang.Exception

The named object has not been loaded so it's instance can not be returned

See Also:
  Serialized Form

Constructor Summary
`ObjectNotLoadedException()` Creates new `ObjectNotLoadedException` without detail message.
`ObjectNotLoadedException(java.lang.String msg)` Constructs an `ObjectNotLoadedException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotLoadedException

    public ObjectNotLoadedException()

  Creates new `ObjectNotLoadedException` without detail message.

### ObjectNotLoadedException

    public ObjectNotLoadedException(java.lang.String msg)

  Constructs an `ObjectNotLoadedException` with the specified detail message.

  Parameters:
    `msg` - the detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.